Categories:Phone & SMS
License:GPL-2.0-or-later
Web Site:http://www.linphone.org
Source Code:http://www.linphone.org/technical-corner/linphone/downloads
Issue Tracker:

Auto Name:Linphone
Summary:SIP (VOIP) phone
Description:
* Audio: speex; Opus; iLBC; G711; GSM; G722; Silk; PCMA; PCMU; AMR-WB; AAC-ELD
* Video with VP8, mpeg4, x264; H263
* Audio multicall and conferencing
* SRTP/ZRTP media encryption
* Echo cancellation
* Address book integration
* Call history
* Multiple accounts support
* Native x86
* Text messaging
.

Repo Type:git
Repo:git://git.linphone.org/linphone-android.git

Build:2.0.3-fdroid,2003
    disable=contains non-free codecs at 2.0.3-1
    commit=2.0.3-1
    submodules=yes
    prebuild=rm -rf tests submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        echo "version.name=2.0.3-fdroid" > default.properties && \
        sed -i 's@\(NDK_PATH=\).*@\1$$NDK$$@' Makefile && \
        sed -i 's/markets\">true/markets\">=false/g' res/values/non_localizable_custom.xml
    build=make BUILD_SILK=0 BUILD_X264=1 BUILD_GPLV3_ZRTP=1 BUILD_FOR_X86=1 prepare-sources

Build:2.1.2-fdroid,2120
    disable=do not build anymore due to change in x264 history
    commit=846a2a3a58
    submodules=yes
    patch=makefile.patch
    prebuild=sed -i '1 i NDK_PATH=$$NDK$$\nSDK_PATH=$$SDK$$/tools\nSDK_PLATFORM_TOOLS_PATH=$$SDK$$/platform-tools\n' Makefile && \
        echo 'version.name=2.1.2-fdroid' > default.properties && \
        rm -rf tests submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        sed -i 's/markets">true/markets">=false/g' res/values/non_localizable_custom.xml
    update=no
    build=make

Build:2.2.0.2-fdroid,2202
    disable=wip - just needs new makefile patch at 1c3e19eb983
    commit=1c3e19eb983
    submodules=yes
    patch=makefile.patch
    prebuild=sed -i '1 i NDK_PATH=$$NDK$$\nSDK_PATH=$$SDK$$/tools\nSDK_PLATFORM_TOOLS_PATH=$$SDK$$/platform-tools\n' Makefile && \
        echo 'version.name=2.2.0.2-fdroid' > default.properties && \
        rm -rf tests submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        sed -i 's/markets">true/markets">=false/g' res/values/non_localizable_custom.xml
    update=no
    build=make

Build:2.2.1.1,2211
    disable=doesn't build because NDK r9b/r9c are broken - error: undefined reference to 'log2f'
    commit=2.2.1.1
    submodules=yes
    prebuild=rm -rf submodules/mssilk/ios_bin tests submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        sed -i -e 's/android:versionCode/android:versionName="2.2.1.1" android:versionCode/' AndroidManifest.xml
    target=android-17
    build=make generate-libs BUILD_SILK=0 BUILD_AMRNB=light BUILD_GPLV3_ZRTP=1 BUILD_G729=0 BUILD_TUNNEL=0

Build:2.3.2-fdroid,2302
    commit=0f4de68
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="2.3.2-fdroid" android:versionCode/' AndroidManifest.xml
    target=android-19
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:2.4.0-fdroid,2400
    commit=2.4.0
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="2.4.0-fdroid" android:versionCode/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:2.4.1-fdroid,2411
    commit=2.4.1
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:2.5.0-fdroid,2500
    commit=2.5.0
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:2.5.1-fdroid,2510
    commit=2.5.1
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:3.1.0-fdroid,3100
    commit=3.1.0
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/data/rtp_rtcp/*.bin
    scandelete=submodules/mswebrtc/webrtc/data/voice_engine/stereo_rtp_files/rtpplay.exe,submodules/externals/openh264/autotest/performanceTest/ios/*,submodules/externals/mbedtls/tests/
    build=make generate-libs BUILD_GPLV3_ZRTP=1

Build:3.2.4-fdroid,3241
    disable=WIP, figure out how to antlr3/antlr-3.4-complete.jar
    commit=3.2.4
    submodules=yes
    prebuild=find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name "C" -exec rm -r {} \; && \
        rm -rf gradle liblinphone_tester tests && \
        rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar && \
        rm -rf submodules/externals/antlr3/antlr-ant && \
        rm -rf submodules/externals/libupnp/ixml/doc && \
        rm -rf submodules/externals/libupnp/upnp/doc && \
        rm -rf submodules/externals/libxml2/result && \
        rm -rf submodules/externals/libxml2/test && \
        rm -rf submodules/externals/libxml2/win32 && \
        rm -rf submodules/externals/openh264/res && \
        rm -rf submodules/externals/polarssl/programs && \
        rm -rf submodules/externals/polarssl/tests && \
        rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/* && \
        rm -rf submodules/externals/webrtc/voice_engine/test && \
        rm -rf submodules/linphone/pixmaps && \
        rm -rf submodules/linphone/share && \
        rm -rf submodules/linphone/tester && \
        rm -rf submodules/mssilk/ios_bin && \
        rm -rf submodules/externals/codec2/win32 && \
        rm -rf submodules/externals/ffmpeg/tests && \
        rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java && \
        sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml && \
        sed -i -e 's/android:versionName=".*"/android:versionName="$$VERSION$$"/' AndroidManifest.xml
    target=android-22
    scanignore=submodules/mswebrtc/webrtc/data/rtp_rtcp/*.bin
    scandelete=submodules/mswebrtc/webrtc/data/voice_engine/stereo_rtp_files/rtpplay.exe,submodules/externals/openh264/autotest/performanceTest/ios/*,submodules/externals/mbedtls/tests/
    build=./prepare.py; make BUILD_GPLV3_ZRTP=1

Build:3.3.0,3303
    commit=3.3.0
    submodules=yes
    sudo=apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch=3.3.0-gradle.patch
    gradle=yes
    output=bin/outputs/apk/org.linphone-release-unsigned.apk
    rm=libs,liblinphone_tester,submodules/externals/antlr3,src/android/org/linphone/gcm,src/android/org/linphone/firebase/Firebase*.java
    scandelete=submodules
    build=echo 'gradle "$@"' > gradlew && \
        chmod a+x gradlew && \
        ./prepare.py && \
        make -j`nproc` build && \
        make copy-libs && \
        make `pwd`/res/raw/rootca.pem
    ndk=r15c

Build:3.3.1,3311
    commit=3.3.1
    submodules=yes
    sudo=apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch=3.3.0-gradle.patch
    gradle=yes
    output=bin/outputs/apk/org.linphone-release-unsigned.apk
    rm=libs,liblinphone_tester,submodules/externals/antlr3,src/android/org/linphone/gcm,src/android/org/linphone/firebase/Firebase*.java
    prebuild=sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|' res/values/non_localizable_custom.xml
    scandelete=submodules
    build=echo 'gradle "$@"' > gradlew && \
        chmod a+x gradlew && \
        ./prepare.py && \
        make -j`nproc` build && \
        make copy-libs && \
        make `pwd`/res/raw/rootca.pem
    ndk=r15c

Build:3.3.2,3320
    commit=3.3.2
    submodules=yes
    sudo=apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch=3.3.0-gradle.patch
    gradle=yes
    output=bin/outputs/apk/org.linphone-release-unsigned.apk
    rm=libs,liblinphone_tester,submodules/externals/antlr3,src/android/org/linphone/gcm,src/android/org/linphone/firebase/Firebase*.java
    prebuild=sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|' res/values/non_localizable_custom.xml
    scandelete=submodules
    build=echo 'gradle "$@"' > gradlew && \
        chmod a+x gradlew && \
        ./prepare.py && \
        make -j`nproc` build && \
        make copy-libs && \
        make `pwd`/res/raw/rootca.pem
    ndk=r15c

Auto Update Mode:None
Update Check Mode:Tags
Current Version:4.0.0
Current Version Code:4001
